package com.mobvista.apptag.service;

import com.mobvista.apptag.entity.ECTagResult;
import com.mobvista.apptag.entity.TagResult;
import com.mobvista.apptag.utils.Query;

import java.util.List;

/**
 * @author wangjf
 */

public interface ECResultService {

    boolean save(String urlMd5, String userName, String json);

    ECTagResult find(String urlMd5, String userId);

    List<ECTagResult> list(String userId, Query query);

    int count(String userId, String search);
}